---
lang: en
title: 'API docs: context.getbindingmetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.context.getbindingmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [getBindingMetadata](./context.getbindingmetadata.md)

## getBindingMetadata() function

Get binding metadata for a class

<b>Signature:</b>

```typescript
export declare function getBindingMetadata(target: Function): BindingMetadata | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>Function</code> | The target class |

<b>Returns:</b>

`BindingMetadata | undefined`


